Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_Callback Class Reference

Callback class that the user will be implementing for receiving frames from the network and also for timer events. More...

`#include <Policy.h>`

Inheritance diagram for TAO_AV_Callback

[legend]
Collaboration diagram for TAO_AV_Callback:

[legend]
List of all members.

## Public Methods
| TAO_AV_Callback (void)
virtual | ~TAO_AV_Callback (void)
int | open (TAO_AV_Protocol_Object *object, TAO_AV_Flow_Handler *handler)
| Called for opening the callback.
virtual int | handle_start (void)
| Called during Streamctrl->start.
virtual int | handle_stop (void)
| Called during Streamctrl->stop.
virtual int | handle_timeout (void *arg)
| Called during timeout for Flow Producers.
virtual int | schedule_timer (void)
virtual int | receive_frame (ACE_Message_Block *frame, TAO_AV_frame_info *frame_info = 0, const ACE_Addr &address = ACE_Addr::sap_any)
virtual int | receive_control_frame (ACE_Message_Block *frame, const ACE_Addr &address = ACE_Addr::sap_any)
| address from which the frame was received.
virtual int | handle_destroy (void)
| Called during Streamctrl->destroy i.e tear_down of the stream.
virtual void | get_timeout (ACE_Time_Value *&tv, void *&arg)
TAO_AV_Protocol_Object* | protocol_object (void)
| Accessor to protocol object.
virtual TAO_AV_PolicyList | get_policies (void)
| get the policies for the protocol object.
## Protected Attributes
TAO_AV_Protocol_Object* | protocol_object_
TAO_AV_Flow_Handler* | handler_

## Detailed Description

Callback class that the user will be implementing for receiving frames from the network and also for timer events.

## Constructor & Destructor Documentation

TAO_AV_Callback::TAO_AV_Callback ( | void )

TAO_AV_Callback::~TAO_AV_Callback ( | void )`[virtual]`

## Member Function Documentation

TAO_AV_PolicyList TAO_AV_Callback::get_policies ( | void )`[virtual]`

| get the policies for the protocol object.

void TAO_AV_Callback::get_timeout ( | ACE_Time_Value *& tv,
| void *& arg )`[virtual]`

| Called to get the timeout. If tv is 0 then the framework stop calling this. This will be called during the start of the frame and also if schedule_timer is called to get the timeout. Reimplemented in TAO_AV_RTCP_Callback.

int TAO_AV_Callback::handle_destroy ( | void )`[virtual]`

| Called during Streamctrl->destroy i.e tear_down of the stream. Reimplemented in TAO_AV_RTCP_Callback.

int TAO_AV_Callback::handle_start ( | void )`[virtual]`

| Called during Streamctrl->start. Reimplemented in TAO_AV_RTCP_Callback.

int TAO_AV_Callback::handle_stop ( | void )`[virtual]`

| Called during Streamctrl->stop. Reimplemented in TAO_AV_RTCP_Callback.

int TAO_AV_Callback::handle_timeout ( | void * arg )`[virtual]`

| Called during timeout for Flow Producers. Reimplemented in TAO_AV_RTCP_Callback.

int TAO_AV_Callback::open ( | TAO_AV_Protocol_Object * object,
| TAO_AV_Flow_Handler * handler )

| Called for opening the callback.

TAO_AV_Protocol_Object * TAO_AV_Callback::protocol_object ( | void )

| Accessor to protocol object.

int TAO_AV_Callback::receive_control_frame ( | ACE_Message_Block * frame,
| const ACE_Addr & peer_address = ACE_Addr::sap_any )`[virtual]`

| address from which the frame was received. Reimplemented in TAO_AV_RTCP_Callback.

int TAO_AV_Callback::receive_frame ( | ACE_Message_Block * frame,
| TAO_AV_frame_info * frame_info = 0,
| const ACE_Addr & peer_address = ACE_Addr::sap_any )`[virtual]`

| Reimplemented in TAO_AV_RTCP_Callback.

int TAO_AV_Callback::schedule_timer ( | void )`[virtual]`

## Member Data Documentation

TAO_AV_Flow_Handler * TAO_AV_Callback::handler_`[protected]`

TAO_AV_Protocol_Object * TAO_AV_Callback::protocol_object_`[protected]`

The documentation for this class was generated from the following files:

- Policy.h
- Policy.cpp